Ad InsertionList Creative Performance

List Creative Performance

Custom Plan Returns per-creative delivery metrics for a date range. Requires the Advanced Analytics add-on for filters beyond crid/session_id.

curl -X GET "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/tracking/creatives?r=2026-01-01%2000%3A00%3A00%20-%202026-01-31%2023%3A59%3A59&crid=example_string&session_id=example_string&client_ip=example_string&os=example_string&browser=example_string&content_id=example_string&continent_geoname_id=123&country_geoname_id=123&subdivision1_geoname_id=123&subdivision2_geoname_id=123&city_geoname_id=123&page=1" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "statusCode": 200,
  "result": "success",
  "items": [
    {
      "crid": "creative-abc123",
      "adSystem": "Google Ad Manager",
      "advertiser": "Acme Corp",
      "adTitle": "Summer Promo 2026",
      "durationS": 30,
      "impressions": 4200,
      "starts": 4180,
      "first_quartiles": 4000,
      "midpoints": 3800,
      "third_quartiles": 3500,
      "completes": 3100,
      "view_rate_25": 95.2,
      "view_rate_50": 90.5,
      "view_rate_75": 83.3,
      "completion_rate": 74
    }
  ],
  "total": 46,
  "page": 1,
  "limit": 20,
  "pages": 3
}
GET
/zones/vod/push/{zoneid}/adinsertion/tracking/creatives
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

query
rstring

Date-time range: YYYY-MM-DD HH:MM:SS - YYYY-MM-DD HH:MM:SS

query
cridstring

Filter to a specific creative ID.

query
session_idstring

Filter to a specific ad insertion playback session ID.

query
client_ipstring

Filter to a specific viewer client IP. Requires the Advanced Analytics add-on.

query
osstring

Filter to a specific viewer operating system. Requires the Advanced Analytics add-on.

query
browserstring

Filter to a specific viewer browser. Requires the Advanced Analytics add-on.

query
content_idstring

Filter to a specific content ID. Requires the Advanced Analytics add-on.

query
continent_geoname_idinteger

Filter to a specific continent geoname ID. Requires the Advanced Analytics add-on.

query
country_geoname_idinteger

Filter to a specific country geoname ID. Requires the Advanced Analytics add-on.

query
subdivision1_geoname_idinteger

Filter to a specific first-level subdivision geoname ID. Requires the Advanced Analytics add-on.

query
subdivision2_geoname_idinteger

Filter to a specific second-level subdivision geoname ID. Requires the Advanced Analytics add-on.

query
city_geoname_idinteger

Filter to a specific city geoname ID. Requires the Advanced Analytics add-on.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Query Parameters

rstring

Date-time range: YYYY-MM-DD HH:MM:SS - YYYY-MM-DD HH:MM:SS

Example:
2026-01-01 00:00:00 - 2026-01-31 23:59:59
cridstring

Filter to a specific creative ID.

session_idstring

Filter to a specific ad insertion playback session ID.

client_ipstring

Filter to a specific viewer client IP. Requires the Advanced Analytics add-on.

osstring

Filter to a specific viewer operating system. Requires the Advanced Analytics add-on.

browserstring

Filter to a specific viewer browser. Requires the Advanced Analytics add-on.

content_idstring

Filter to a specific content ID. Requires the Advanced Analytics add-on.

continent_geoname_idinteger

Filter to a specific continent geoname ID. Requires the Advanced Analytics add-on.

country_geoname_idinteger

Filter to a specific country geoname ID. Requires the Advanced Analytics add-on.

subdivision1_geoname_idinteger

Filter to a specific first-level subdivision geoname ID. Requires the Advanced Analytics add-on.

subdivision2_geoname_idinteger

Filter to a specific second-level subdivision geoname ID. Requires the Advanced Analytics add-on.

city_geoname_idinteger

Filter to a specific city geoname ID. Requires the Advanced Analytics add-on.

pageinteger
Example:
1

Responses

statusCodeinteger
resultstring
Allowed values:successerror
itemsarray
totalinteger
pageinteger
limitinteger
pagesinteger